package org.rcisoft.core.auth.feign;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.core.enums.CyResultCode;
import org.rcisoft.core.result.CyMessCons;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.result.CyResultGenUtil;

/**
 * Created with family.
 * author: cy
 * Date: 2019/12/4
 * Time: 2:20 PM
 * description:
 */
@Slf4j
public class CyAuthServerFeignFallBack implements CyAuthServerFeign {
    @Override
    public CyResult getAllowedClient(String serviceId, String secret) {
        log.error("spcl-auth cyAuthServerFeign getAllowedClient fall...");
        return CyResultGenUtil.builderOriginResult(
                CyResultCode.SERVER_TIMEOUT.getCode(),
                CyMessCons.MESSAGE_ALERT_OVERTIME,
                null);
    }

    @Override
    public CyResult getAccessToken(String clientId, String secret) {
        log.error("spcl-auth cyAuthServerFeign getAccessToken fall...");
        return CyResultGenUtil.builderOriginResult(
                CyResultCode.SERVER_TIMEOUT.getCode(),
                CyMessCons.MESSAGE_ALERT_OVERTIME,
                null);
    }

    @Override
    public CyResult getServicePublicKey(String clientId, String secret) {
        log.error("spcl-auth cyAuthServerFeign getServicePublicKey fall...");
        return CyResultGenUtil.builderOriginResult(
                CyResultCode.SERVER_TIMEOUT.getCode(),
                CyMessCons.MESSAGE_ALERT_OVERTIME,
                null);
    }
}
