package org.rcisoft.core.result;

import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.annotation.JsonView;
import org.rcisoft.core.enums.CyResultCode;

/**
 * 统一API响应结果封装
 */
public class CyResult {

    private Integer code;
    private String message;
    private Object data;

    /**
     *
     * @param data
     * @return
     */
    public void setErrorMessage(String message, Object data) {
        this.code = CyResultCode.FAIL.getCode();
        this.message = message;
        this.data = data;
    }

    public void setSucessMessage(String message, Object data) {
        this.code = CyResultCode.SUCCESS.getCode();
        this.message = message;
        this.data = data;
    }

    public interface DefulatJsonView{}

    /**
     * desc Dec 20 解决 feign setter 重载方法 可能会冲突问题
     * @param cyResultCode
     * @return
     */
    public CyResult setResultCode(CyResultCode cyResultCode) {
        this.code = cyResultCode.getCode();
        return this;
    }

    @JsonView(DefulatJsonView.class)
    public Integer getCode() {
        return code;
    }

    public CyResult setCode(Integer code) {
        this.code = code;
        return this;
    }

    @JsonView(DefulatJsonView.class)
    public String getMessage() {
        return message;
    }

    public CyResult setMessage(String message) {
        this.message = message;
        return this;
    }

    @JsonView(DefulatJsonView.class)
    public Object getData() {
        return data;
    }

    public CyResult setData(Object data) {
        this.data = data;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
