package org.rcisoft.core.result;

import org.rcisoft.core.enums.CyResultCode;
import org.rcisoft.core.exception.ServiceException;
import org.rcisoft.core.model.PersistModel;

/**
 * Created with family.
 * author: cy
 * Date: 2020/3/16
 * Time: 2:50 PM
 * description:
 */
public class CyResultGenUtil {
    private static final String DEFAULT_SUCCESS_MESSAGE = "SUCCESS";


    public static CyResult builder(PersistModel dataModel, String sucMessage, String errMessage, Object data){
        CyResult cyResult = new CyResult();
        if(dataModel.isSuccessBySinglePersist())
            cyResult.setSucessMessage(sucMessage,data);
        else
            cyResult.setErrorMessage(errMessage,data);
        return cyResult;
    }

    public static CyResult genSuccessResult() {
        return new CyResult()
                .setResultCode(CyResultCode.SUCCESS)
                .setMessage(DEFAULT_SUCCESS_MESSAGE);
    }

    public static CyResult genSuccessResult(Object data) {
        return new CyResult()
                .setResultCode(CyResultCode.SUCCESS)
                .setMessage(DEFAULT_SUCCESS_MESSAGE)
                .setData(data);
    }

    public static CyResult genFailResult(String message) {
        return new CyResult()
                .setResultCode(CyResultCode.FAIL)
                .setMessage(message);
    }

    /**
     * 构建原生 result
     * @param code
     * @param mess
     * @param data
     * @return
     */
    public static CyResult builderOriginResult(Integer code,String mess,Object data){
        return new CyResult()
                .setCode(code)
                .setMessage(mess)
                .setData(data);
    }

    /**
     * 验证 result
     * @param result
     * @return
     */
    public static CyResult validateResult(CyResult result){
        if(result.getCode() != CyResultCode.SUCCESS.getCode()){
            throw new ServiceException(result.getCode(),result.getMessage());
        }
        return result;
    }
}
